Syncfusion Feedback

Trusted by the world’s leading companies

syncfusion trusted companies

Overview

The Angular Badge is a pure CSS component used to add notifications, messages, or statuses in different shapes and sizes. The Badge component can be easily integrated with ListView, Avatar, and other container controls.


Notification badge

The CSS Badge displays unread notification counts in different colors to indicate their priority level.


Pill badge

Create badges with rounded edges using the pill badge variant.


Create clickable link badges using the link CSS badge variant with an anchor element. It has hover and focus states.


Overlap badge

Create badges that overlap with profile icons or images, similar to social media notification count badges.


Badge position

The notification badge can be positioned at the top or bottom of profile icons or images. It is placed at the top by default.


Predefined styles

Eight predefined contextual color variants are available for badges.


Types of badges

The CSS Badge control supports six different styles: default, circle, pill, notification, ghost, and dot.


UI customization

Completely customize the CSS Badge attributes, like dimensions and colors.


Integration with other components

Integrate the Angular Badge into various components to achieve different UIs, such as displaying the number of unread messages in an email category or the status of product support.


Angular Badge code example

Easily get started with Angular Badge using a few simple lines of HTML and TS code, as demonstrated below. Also explore our Angular Badge example that shows you how to render the Angular Badge.

<div class="col-lg-12 control-section">
    <div class="sample_container badge-list">
        <ejs-listview id='lists' [dataSource]='dataSource' [fields]='fields' headerTitle='Inbox' [showHeader]='true' (actionComplete)="onActionComplete()">
            <ng-template #template let-dataSource="">
                <div class="listWrapper" style="width: inherit;height: inherit;">
                    <span class=" list_svg">&nbsp;</span>
                    <span class="list_text"> </span>
                    <span class=""></span>
                </div>
            </ng-template>
        </ejs-listview>
    </div>
</div>
import { Component, ViewEncapsulation, Inject, ViewChild } from '@angular/core';
import * as dataSource from './dataSource.json';
/**
 *  Sample for CSS Basic Layout Badge
 */
@Component({
    selector: 'control-content',
    templateUrl: 'list-view.html',
    styleUrls: ['list-view.css'],
    encapsulation: ViewEncapsulation.None
})

export class ListviewController {
    // Data source for listview, badge field is the class data for Badges
    public dataSource: { [key: string]: Object }[] = (dataSource as any).listdata;

    // Map fields
    public fields: object = { groupBy: 'type' };

    public onActionComplete() {
        let list: HTMLElement = document.getElementById('lists').getElementsByClassName('e-list-group-item')[0] as HTMLElement;
        list.style.display = 'none';
    }
}

Other supported frameworks

The Badge component is also available in our React, Vue, and JavaScript frameworks. Check out the Badge in different platforms from these links:




145+ ANGULAR UI COMPONENTS

Frequently Asked Questions

  • Easy integration with other components such as Avatar, ListView, and Menu.
  • An easily customizable notification badge that provides widely used badge types, standard colors, and predefined symbols.
  • Simple configuration and API.
  • Supports for all modern browsers.
  • Touch-friendly and responsive UI.
  • Expansive learning resources such as demos and documentation to learn quickly and get started with Angular Badge.

You can find our Angular Badge demo, which demonstrates how to render and configure the Badge.

No, this is a commercial product and requires a paid license. However, a free community license is also available for companies and individuals whose organizations have less than $1 million USD in annual gross revenue, 5 or fewer developers, and 10 or fewer total employees.

A good place to start would be our comprehensive getting started documentation.

Our Customers Love Us

Having an excellent set of tools and a great support team, Syncfusion® reduces customers’ development time.
Here are some of their experiences.

See Real Success Stories

Developers around the world trust Syncfusion’s Essential Studio to simplify complex projects and speed up delivery. With a vast library of UI controls, powerful SDKs, and reliable support, Essential Studio helps teams build enterprise-ready applications with confidence.

Read Our Customer Stories


Rated by users across the globe

Transform your applications today by downloading our free evaluation version
Download Free Trial No credit card required.

Awards

Greatness—it’s one thing to say you have it, but it means more when others recognize it. Syncfusion® is proud to hold the following industry awards.

Up arrow icon

Trusted by the world’s leading companies
Overview
The Badge is a pure CSS component used to add notifications, messages, or statuses in different shapes and sizes. The Badge component can be easily integrated with ListView, Avatar, and other container controls.
React Badge code example
Easily get started with the Badge using a few simple lines of TSX code, as demonstrated below. Also explore our React Badge example, which shows you how to render and configure a Badge in React.
import * as React from 'react';
import * as ReactDOM from "react-dom";
import './App.css';
function App() {
return (
<h1>Badge Component <span className="e-badge e-badge-primary">New</span></h1>
);
}
export default App;
ReactDOM.render(<App />, document.getElementById("element"));Notification badge
The CSS Badge displays the number of unread notifications in different colors to indicate their priority level.
Link badge
Create clickable link badges using the link CSS badge variant with an anchor element. It has hover and focus states.
Overlap badge
Create badges that overlap with profile icons or images, similar to social media notification badges.
Badge position
The notification badge can be positioned at the top or bottom of profile icons or images. It is placed at the top by default.
Predefined styles
Eight predefined contextual color variants are available for badges.
Types of badges
The CSS Badge control supports six different styles: default, circle, pill, notification, ghost, and dot.
UI customization
Completely customize the CSS Badge attributes, like dimensions and colors.
Integration with other components
Integrate the React Badge into various components to achieve different UIs, such as displaying the number of unread messages in an email category or the status of product support.
Not sure how to create your first React Badge? Our tutorial videos and documentation can help.
I’d love to watch it now I’d love to read it nowDiscover Syncfusion’s Complete React Component Ecosystem
Explore over 145+ React UI components featuring established, production-ready controls and the latest pure React components built natively for modern web app development.
-
React Components
-
Pure React Components
-
SMART COMPONENTSGRIDSDATA VISUALIZATIONDROPDOWNSFILE VIEWERS & EDITORSBUTTONSINTERACTIVE CHATINPUTSNAVIGATIONFORMSNOTIFICATIONS
-
GRIDSDATA VISUALIZATIONNAVIGATIONINPUTSCALENDARSDROPDOWNS
Frequently Asked Questions
Why should you choose Syncfusion React Badge?
Syncfusion React Badge provides the following features:
It is commonly used to display a notification count or status information in different sizes and 8 contextual color variants.
- Supports 3 different positions, such as default, top and bottom.
- Easy integration with other components such as Avatar, ListView, and Menu.
- One of the best React Badge on the market, offering a feature-rich UI.
- Simple configuration and API.
- Supports all modern browsers.
Expansive learning resources such as demos and documentation to learn quickly and get started fast.
Where can I find the Syncfusion React Badge demo?
You can find our React Badge demo, which demonstrates how to render and configure the Badge.
Can I download and utilize the Syncfusion React Badge for free?
No, this is a commercial product and requires a paid license. However, a free community license is also available for companies and individuals whose organizations have less than $1 million USD in annual gross revenue, 5 or fewer developers, and 10 or fewer total employees.
How do I get started with Syncfusion React Badge?
A good place to start would be our comprehensive getting started documentation.
Our Customers Love Us
Awards
Greatness—it’s one thing to say you have it, but it means more when others recognize it. Syncfusion® is proud to hold the following industry awards.